Subject: Re: TORA Observations

From: Nitin H Vaidya <[email-masked]>
Date: Wed, 2 Sep 1998 17:17:04 -0500 (CDT)

>> illustrates this point. As for traffic concentration, TORA does not specify
  >> how the forwarding decision should be made (given multiple paths). In our
  >> simulations we tried two alternatives (random and lowest neighbor). In any
  >> case, the availability of multiple paths (even for only some sources)
  >> provides a better capability to balance traffic load, than with a

On a tangential note ...

Use of multiple paths can potentially cause trouble (if not done right)
by delivering packets significantly out of order -- Paxon observed
similar problems in his Internet routing behavior study too.

- nitin

  >> shortest-path algorithm that provides only a single route. Obviously,
  >> shortest-path routing algorithms would heavily favor the advantage node;
  >> TORA need not.
  >> 
  >> Hope this is helpful,
  >> 
  >> -Vince
  >> 
  >>  Vincent D. Park                 
  >>  Information Technology Division 
  >>  Naval Research Laboratory       
  >>  4555 Overlook Avenue SW             
  >>  Washington, DC 20375-5000       
  >>